Download it now!
Bug 77352 - EDITING: Copying cell range with chart results in incorrect clipboard data
Summary: EDITING: Copying cell range with chart results in incorrect clipboard data
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images Chart-Data Cut-Copy
  Show dependency treegraph
 
Reported: 2014-04-11 23:18 UTC by panoworks
Modified: 2018-07-05 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of chart copying (21.29 KB, image/png)
2014-04-11 23:18 UTC, panoworks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description panoworks 2014-04-11 23:18:11 UTC
Created attachment 97246 [details]
example of chart copying

When copying a range of cells, objects within that range - such as charts - are copied as well.  In Windows, this copies not just LibreOffice data but also bitmap data which can be pasted in most graphics programs.
This is useful mostly when wanting to quickly copy/paste overlapping charts, as the standard 'Export as Image...' only applies to a single chart, and alternative means (screenshots, printing to a bitmap printer, etc.) are cumbersome as well and have their own issues (e.g. copying a selected chart directly copies it without any anti-aliasing).

Unfortunately, something appears to have broken here recently.  Repro steps:
1. Create a simple table, e.g.
Thing | Amount
A     | 1
B     | 2
C     | 3
D     | 4

2. Create a chart for that table.  A pie chart will do.
This should appear as a standard pie chart with green, yellow, orange and blue sections.

3. select the cells that contain the chart.
4. copy the selection to clipboard
5. paste into a graphics program
The pie chart itself is not visible, while the legend shows completely different colors (irfanview) or the correct colors (mspaint - but still no actual chart), or fails to paste entirely (GIMP).

Example image attached.

Potentially related: Bug 60443, Bug 61405 - though those deal in part with pasting into LibreOffice documents.
Comment 1 raal 2014-10-06 19:50:35 UTC
I can not confirm with LO  4.3.2.2 (ID build: edfb5295ba211bd31ad47d0bad0118690f76407d), Windows 7.
Copy paste chart to mspaint is correct.
Comment 2 panoworks 2014-10-06 20:45:28 UTC
Thanks for the reminder to check this.

4.3.2.2 (edfb5295ba211bd31ad47d0bad0118690f76407d), can still confirm actual chart is missing here - only the legend (minus text) pastes.  But at least the odd color issue disappeared (not being able to paste in Gimp shifted to happening when copying the chart object itself - will open a different bug report if required).

-----

I decided to check out the clipboard data, just in case Gimp et al were being silly, using:
http://www.nirsoft.net/utils/inside_clipboard.html

When copying cells with chart, I get output on several seemingly graphics-related clipboard streams:
CF_DIB: Mostly FF values, coinciding with the white of the chart.
PNG: Saved as binary, shows no chart.
Windows Bitmap: Mostly FF values (saved as binary, shows no chart)
GDIMetaFile: Unsure - apparently one of the few formats irfanview will not open or recognize.

-----

Some additional info:
O/S: Windows 8

- Other charts elements do appear to copy (title, subtitle, axes labels, axes, major/minor grid).
- In most chart types, the legend's text does appear.
- In the 'net' type of chart, the net title does not appear.
- In a pie chart (any subtype), if I change the legend to appear at the top/bottom and make some of the label data longer, the legend's color squares get further apart to make room for the text.  However, in the pasted version, they are all spaced closely together (i.e. as if the chart is re-generated for the clipboard specifically, and has the text (and pie slices) missing entirely).

Any other things I could try / information I could provide?
Comment 3 raal 2014-10-07 17:36:00 UTC
I can not confirm with LO  4.3.2.2 (ID build: edfb5295ba211bd31ad47d0bad0118690f76407d), Windows 7 64bit.
Copy paste chart to mspaint is correct.

But I can confirm with LO 4.3.2.2 portable (portableapps.com), windows 7 32bit
Copy paste chart to mspaint is incorrect - no chart.

I can confirm with Version: 4.4.0.0.alpha0+
Build ID: ced24ffba2fa1754c466b7944b0ee06d21292706
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-04_21:31:09
Copy paste chart to gimp is incorrect - no chart.

I can not confirm with LO 4.2.6.3, Linux
Copy paste chart to gimp is correct.

Setting as NEW.
Comment 4 panoworks 2014-10-07 18:58:38 UTC
Glad you could confirm!  I figured I should check if this issue also happens in AOO - it doesn't.  That led me to checking out bug fix lists, and it looks  like this bug from AOO is relevant:
https://issues.apache.org/ooo/show_bug.cgi?id=118840

I can also confirm what is mentioned in there - renaming the sheet that the graph is on to anything other than "Sheet1" appears to cause the bug to be avoided.  We never rename it, as the first sheet is designated our 'scratch pad' sheet.

At least that's a work-around.  If you feel that this new information should lower the Importance, you'd get no complaint out of me :)
Comment 5 QA Administrators 2015-10-14 19:56:35 UTC Comment hidden (obsolete)
Comment 6 panoworks 2015-11-16 14:16:33 UTC
LibreOffice
Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: en-US (en_US)

OS: Windows
Version: 8, 64-bit


Bug still present.
Renaming the sheet still a workaround.
Comment 7 QA Administrators 2017-01-03 19:35:28 UTC Comment hidden (obsolete)
Comment 8 panoworks 2017-01-04 12:29:37 UTC
LibreOffice
Version: 5.2.4.2
Build ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
Locale: en-US (en_US); Calc: group

OS: Windows
Version: 8, 64-bit

Bug still present.
Renaming the sheet still a workaround.
Comment 9 QA Administrators 2018-07-05 02:49:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug